<?php
/**
 * The typography metabox file.
 *
 * @package Location_Weather_Pro
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access directly.
SPLW::createSection(
	'sp_location_weather_generator',
	array(
		'title'  => __( 'Typography', 'location-weather' ),
		'icon'   => '<span><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" width="14px" height="14px" viewBox="0 0 448 512"><!-- Font Awesome Pro 5.15.3 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><path d="M432 432h-33.32l-135-389.24A16 16 0 0 0 248.55 32h-49.1a16 16 0 0 0-15.12 10.76L49.32 432H16a16 16 0 0 0-16 16v16a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-16a16 16 0 0 0-16-16h-35.44l33.31-96h164.26l33.31 96H304a16 16 0 0 0-16 16v16a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-16a16 16 0 0 0-16-16zM158.53 288L224 99.31 289.47 288z"/></svg></span>',
		'class'  => 'splw-weather-settings-meta-box',
		'fields' => array(
			array(
				'type'    => 'notice',
				'style'   => 'normal',
				'content' => __( 'To unlock These Typography (940+ Google Fonts) options, <a href="https://shapedplugin.com/plugin/location-weather-pro/?ref=1" target="_blank"><b>Upgrade To Pro!</b></a>', 'location-weather' ),
			),
			array(
				'id'       => 'lw-city-name-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load City Name Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for City Name.', 'location-weather' ),
				'class'    => 'splw-first-fields splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'      => 'lw-city-name-typography',
				'type'    => 'typography',
				'title'   => __( 'City Name', 'location-weather' ),
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Roboto',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '27',
					'line-height'    => '38',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '10',
				),
			),
			array(
				'id'       => 'lw-date-time-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Date & Time Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for Date & Time.', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'      => 'lw-date-time-typography',
				'type'    => 'typography',
				'title'   => __( 'Date (Time)', 'location-weather' ),
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '14',
					'line-height'    => '0',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '10',
				),
			),
			array(
				'id'    => 'lw-climate-heading',
				'type'  => 'subheading',
				'title' => __( 'Temperature', 'location-weather' ),
			),
			array(
				'id'       => 'lw-temp-scale-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Temperature & scale Font', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'subtitle' => __( 'On/Off google font for Temperature & scale.', 'location-weather' ),
				'default'  => false,
			),
			array(
				'id'          => 'lw-temp-scale-typography',
				'type'        => 'typography',
				'title'       => __( 'Temperature & scale', 'location-weather' ),
				'class'       => 'pro_only_field',
				'default'     => array(
					'font-family'    => 'Roboto',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '48',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '0',
				),
				'line_height' => false,
			),
			array(
				'id'       => 'lw-high-low-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Highest & Lowest Temperature Font', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'subtitle' => __( 'On/Off google font for Highest & Lowest Temperature.', 'location-weather' ),
				'default'  => false,
			),
			array(
				'id'      => 'lw-highest-lowest-temp-typography',
				'type'    => 'typography',
				'title'   => __( 'Highest & Lowest Temperature ', 'location-weather' ),
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '14',
					'line-height'    => '0',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '0',
				),
			),
			array(
				'id'       => 'lw-real-feel-weather-desc-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Real Feel & Weather Description Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for Real Feel & Weather Description.', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'      => 'lw-real-feel-weather-desc-typography',
				'type'    => 'typography',
				'title'   => __( 'Real Feel & Weather Description', 'location-weather' ),
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'capitalize',
					'font-size'      => '14',
					'line-height'    => '20',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '0',
				),
			),
			array(
				'id'    => 'lw-climate-heading',
				'type'  => 'subheading',
				'title' => __( 'Weather Units', 'location-weather' ),
			),
			array(
				'id'       => 'lw-weather-units-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Weather Units Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for Weather Units.', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'      => 'lw-weather-units-typography',
				'type'    => 'typography',
				'title'   => __( 'Weather Units', 'location-weather' ),
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '13',
					'line-height'    => '17',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '8',
					'margin-bottom'  => '3',
				),
			),
			array(
				'id'       => 'lw-weather-units-icons-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Weather Units( Pressure, Humidity, Wind ) Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for Weather Units( Pressure, Humidity, Wind ).', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'         => 'lw-weather-units-icons-typography',
				'type'       => 'typography',
				'title'      => __( 'Weather Units( Pressure, Humidity, Wind )', 'location-weather' ),
				'text_align' => false,
				'class'      => 'pro_only_field',
				'default'    => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '14',
					'line-height'    => '27',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '20',
					'margin-bottom'  => '0',
				),
			),
			array(
				'id'    => 'lw-climate-heading',
				'type'  => 'subheading',
				'title' => __( 'MISCELLANEOUS', 'location-weather' ),
			),
			array(
				'id'       => 'lw-forecast-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Forecast Font', 'location-weather' ),
				'subtitle' => __( 'On/Off google font for Forecast.', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'default'  => false,
			),
			array(
				'id'         => 'lw-forecast-typography',
				'type'       => 'typography',
				'title'      => __( 'Forecast', 'location-weather' ),
				'text_align' => false,
				'class'      => 'pro_only_field',
				'default'    => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-transform' => 'none',
					'font-size'      => '13',
					'letter-spacing' => '0',
					'color'          => '#fff',
					'margin-top'     => '0',
					'margin-bottom'  => '0',
				),
			),
			array(
				'id'       => 'lw-weather-attr-font-load',
				'type'     => 'switcher',
				'title'    => __( 'Load Weather Attribution Font', 'location-weather' ),
				'class'    => 'splw_lite_pro_only',
				'subtitle' => __( 'On/Off google font for Weather Attribution.', 'location-weather' ),
				'default'  => false,
			),
			array(
				'id'      => 'lw-weather-attr-typography',
				'type'    => 'typography',
				'title'   => __( 'Weather Attribution', 'location-weather' ),
				'color'   => false,
				'class'   => 'pro_only_field',
				'default' => array(
					'font-family'    => 'Open Sans',
					'font-style'     => 'normal',
					'text-align'     => 'center',
					'text-transform' => 'none',
					'font-size'      => '11',
					'line-height'    => '26',
					'letter-spacing' => '0',
					'margin-top'     => '0',
					'margin-bottom'  => '0',
				),
			),
		),
	)
);
